<template>
    <div class="flex items-center justify-between mb-4">
        <Breadcrumb nameRouteHome="admin" textRouteHome="Tổng quan">
            <ItemBreadcrumb>Quản lý khóa học</ItemBreadcrumb>
        </Breadcrumb>
    </div>

    <div class="card">
        <div class="flex items-center">
            <a
                href="#public"
                class="nav-item flex-initial border-r px-6 py-4"
                :class="[
                    $route.hash === '#public'
                        ? 'text-main-color bg-white border-b-transparent'
                        : 'bg-gray-50 border-b'
                ]"
            >
                Khóa học đã được công khai
            </a>
            <a
                href="#pending-approval"
                class="nav-item flex-initial border-r px-6 py-4"
                :class="[
                    $route.hash === '#pending-approval'
                        ? 'text-main-color bg-white border-b-transparent'
                        : 'bg-gray-50 border-b'
                ]"
            >
                Khóa học chờ phê duyệt
            </a>
            <div class="flex-1 border-b cursor-default px-6 py-4">&nbsp;</div>
        </div>
        <div class="card-body">
            <div v-show="$route.hash === '#public'">
                <AdminListCoursePublic />
            </div>
            <div v-show="$route.hash === '#pending-approval'">
                <AdminListCoursePending />
            </div>
        </div>
    </div>
</template>

<script>
import Breadcrumb from "@/components/breadcrumb/Breadcrumb.vue";
import ItemBreadcrumb from "@/components/breadcrumb/ItemBreadcrumb.vue";
import AdminListCoursePublic from "@/components/course/AdminListCoursePublic.vue";
import AdminListCoursePending from "@/components/course/AdminListCoursePending.vue";

export default {
    components: {
        Breadcrumb,
        ItemBreadcrumb,
        AdminListCoursePublic,
        AdminListCoursePending
    },
    setup() {
        return {};
    }
};
</script>
